require "class"
Ship = class:new()

function Ship:Init()
	Ship.X = 400
	Ship.Y = 275
	Ship.Angle = 0
	Ship.SpeedRotation = 5
	Ship.SpeedMax = 5
	Ship.SpeedCurrent = 0
end

function Ship:Draw()
        love.graphics.push() --#ADDED
	love.graphics.setColor(255,255,255)
	love.graphics.print(Ship.Angle,200,200)
	love.graphics.translate(Ship.X,Ship.Y)
	love.graphics.rotate(math.rad(Ship.Angle))
	love.graphics.line(-15, 15, 0, -25)
	love.graphics.line(0, -25, 15, 15)
	love.graphics.line(-15, 15, 0, 0)
	love.graphics.line(0, 0, 15, 15)
        love.graphics.pop() --#ADDED
end

function Ship:LoopScreen()
	if (Ship.X < -40) then
		Ship.X = WindowWidth+30
	end
	if (Ship.X > WindowWidth+40) then
		Ship.X = -30
	end
	if (Ship.Y < -40) then
		Ship.Y = WindowHeight+30
	end
	if (Ship.Y > WindowWidth+40) then
		Ship.Y = -30
	end
end

function Ship:Move()
	if love.keyboard.isDown("right") then
		if (Ship.Angle >= 360) then
			Ship.Angle = 0
		end
		Ship.Angle = Ship.Angle+Ship.SpeedRotation
	end
	if love.keyboard.isDown("left") then
		if (Ship.Angle <= 0) then
			Ship.Angle = 360
		end
		Ship.Angle = Ship.Angle-Ship.SpeedRotation
	end
	if (love.keyboard.isDown("up")) then
		Ship.SpeedCurrent = Ship.SpeedCurrent + 0.25
		if (Ship.SpeedCurrent > Ship.SpeedMax) then
			Ship.SpeedCurrent = Ship.SpeedMax
		end
	elseif (love.keyboard.isDown("down")) then
		Ship.SpeedCurrent = Ship.SpeedCurrent - 0.25
		if (Ship.SpeedCurrent < -Ship.SpeedMax) then
			Ship.SpeedCurrent = -Ship.SpeedMax
		end
	elseif (Ship.SpeedCurrent > 0) and not(love.keyboard.isDown("up")) then
			Ship.SpeedCurrent = Ship.SpeedCurrent - 0.25
	elseif (Ship.SpeedCurrent < 0) and not(love.keyboard.isDown("down"))then
			Ship.SpeedCurrent = Ship.SpeedCurrent + 0.25
	end
	Ship.X = Ship.X+(Ship.SpeedCurrent * math.sin(math.rad(Ship.Angle)))
	Ship.Y = Ship.Y+-(Ship.SpeedCurrent * math.cos(math.rad(Ship.Angle)))
end